@charset "utf-8";

/* --------------
front-page.php
---------------*/
.anime {
  position: relative;
  width: 100%;
  height: 120vh;
  top: -5.8rem;
}
.anime li {
  position: absolute;
  width: 100%;
  height: 120vh;
  top: 0;
  right: 0;
  opacity: 0;
  animation: fades 15s infinite;
}
.anime li:nth-child(1) {
  animation-delay: 0s;
}
.anime li:nth-child(2) {
  animation-delay: 5s;
}
.anime li:nth-child(3) {
  animation-delay: 10s;
}
.anime img {
  width: 100%;
  height: 120vh;
  object-fit: cover;
}
@keyframes fades {
  0% {
    opacity: 0;
  }
  15% {
    opacity: 1;
  }
  30% {
    opacity: 1;
  }
  45% {
    opacity: 0;
  }
  100% {
    opacity: 0;
  }
}
/* ------
main
---------*/
/* news ----------------------*/
#news {
  width: clamp(19.375rem, 4.183rem + 75.96vw, 68.75rem);
  margin: 0 auto;
  border: 5px solid var(--green-color);
  padding: clamp(1rem, 0.699rem + 1.53vw, 2rem);
  transform: translateY(-180px);
  background-color: #fff;
  .left {
    text-align: center;
  }
  & h2 {
    color: var(--green-color);
    margin-bottom: 1rem;
  }
  .right li {
    border-bottom: 1px dotted var(--green-color);
    line-height: clamp(2rem, 1.849rem + 0.77vw, 2.5rem);
  }
  .right span {
    margin-right: 2rem;
  }
  .right a:hover {
    color: var(--green-color);
  }
}
#news.grid {
  grid-template-columns: 1fr 3fr;
}
/* about------------------ */
#about {
  & h3 {
    font-size: clamp(1.7rem, 1.549rem + 0.77vw, 2.2rem);
  }
  .grid {
    gap: clamp(1rem, 0.699rem + 1.53vw, 2rem);
    margin-bottom: 2rem;
  }
  .grid2 {
    grid-template-columns: repeat(3, 1fr);
  }
  .grid3 {
    grid-template-columns: repeat(2, 1fr);
  }
  .item {
    width: 100%;
    place-items: center;
    place-content: center;
    background-size: cover;
    background-position: center bottom;
    border-radius: 20px;
    transition: 0.3s;
    color: #fff;
    font-size: 2rem;
  }
  .item:hover {
    opacity: 0.5;
  }
  .item-top {
    height: clamp(8rem, 4.383rem + 18.37vw, 20rem);
  }
  .item-bottom {
    height: 7rem;
  }
  .item1 {
    background-image: url(../img/child-fruit.webp);
  }
  .item2 {
    background-image: url(../img/sky2.webp);
  }
  .item3 {
    background-image: url(../img/lunch-time.webp);
    background-position: 50% 10%;
  }
  .item4 {
    background-color: var(--yellow-color);
  }
  .item5 {
    background-color: var(--blue-color);
  }
}
/* visit----------- */
#visit {
  .text {
    width: 40%;
  }
  .image {
    width: 50%;
    border-radius: 30px;
    & img {
      border-radius: 30px;
    }
  }
  .flex-box {
    justify-content: space-between;
    align-items: center;
    margin-bottom: 2rem;
  }
  .button {
    text-align: center;
    margin: 3rem 0;
    & a {
      font-size: clamp(1rem, 0.699rem + 1.53vw, 2rem);
      background-color: var(--red-color);
      border: 3px solid var(--red-color);
      margin-bottom: 1rem;
    }
    & a:hover {
      background-color: #fff;
      color: var(--red-color);
    }
  }
}
/* -----------------------
guidance
------------------------- */
#page-guidance {
  .grid {
    grid-template-columns: 1fr 2fr;
    margin: 0 clamp(1rem, -3.22rem + 21.44vw, 15rem);
    border: 3px solid lightgray;
    margin-bottom: 3rem;
  }

  & dt,
  & dd {
    padding: 0.5rem 1rem;
    border: 2px solid lightgray;
  }
}
/* -----------
archive.php
------------- */
#archive {
  .grid {
    grid-template-columns: 1fr 2fr;
    gap: 3rem;
    margin-bottom: 2rem;
  }
  .image {
    & img {
      width: 100%;
      height: 10rem;
    }
  }
  .date {
    font-size: 0.85rem;
  }

  .article-button {
    padding: 1rem 0;
    transition: 0.4s ease;
    & a {
      border-bottom: 1px solid dimgray;
    }
  }
  .article-button:hover {
    transform: translateX(2rem);
  }
}
/* ---------------
single.php
-----------------*/
#single {
  .date {
    font-size: 0.9rem;
    text-align: right;
    margin-bottom: 2rem;
  }
  .content {
    margin-bottom: 2rem;
  }
}
/* ------------------
page-lunch.php
-------------------*/
#page-lunch {
  .section {
    margin-bottom: 5rem;
  }
  .grid {
    grid-template-columns: repeat(3, 1fr);
    gap: 1rem;
  }
  .grid2 {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 2rem;
  }
  & img {
    width: 100%;
    height: 15rem;
  }
  .prologue,
  .epilogue {
    margin-bottom: 5rem;
  }
}
/* --------------------
page-flow.php
----------------------*/
#page-flow.main {
  padding-top: clamp(5rem, 3.462rem + 7.69vw, 10rem);
}
#page-flow {
  .flex-box {
    margin-bottom: 3rem;
    align-items: center;
    justify-content: space-between;
  }
  .image {
    width: 30%;
  }
  .text {
    width: 60%;
    position: relative;
  }
  .text::before {
    position: absolute;
    content: "9:00~";
    color: var(--yellow-color);
    font-size: clamp(3rem, 1.462rem + 7.69vw, 8rem);
    font-family: var(--serif-font);
    font-weight: bold;
    opacity: 0.45;
    top: -9rem;
    left: -5rem;
  }
  .time10::before {
    content: "10:00~";
  }
  .time12::before {
    content: "11:30~";
  }
  .time13::before {
    content: "13:00~";
  }
  .time15::before {
    content: "15:00~";
  }
  .time16::before {
    content: "16:00~";
  }
  .revers .text::before {
    left: 15rem;
  }
  & img {
    width: 100%;
    aspect-ratio: 1 / 1;
    border-radius: 50%;
  }
  .revers {
    flex-direction: row-reverse;
  }
  .flow-title {
    font-size: clamp(1.5rem, 1.346rem + 0.77vw, 2rem);
    margin-bottom: 1rem;
  }

  & p {
    margin-bottom: 1rem;
  }
  .double {
    position: relative;
    height: 30rem;
    & img {
      position: absolute;
    }
    .boy {
      left: -5rem;
    }
    .girl {
      top: 15rem;
    }
  }
  .green {
    outline: 10px solid var(--green-color);
  }
  .blue {
    outline: 10px solid var(--blue-color);
  }
  .pink {
    outline: 10px solid var(--red-color);
  }
  .yellow {
    outline: 10px solid var(--yellow-color);
  }
}
/* -------------
page-year.php
---------------*/
body:has(#page-year) {
  background-color: var(--bg-color);
}
#page-year {
  & img {
    width: 40%;
    aspect-ratio: 1/1;
    border-radius: 50%;
  }
  .flex-container {
    padding: 3rem;
    margin-bottom: 3rem;
    position: relative;
    box-shadow: 8px 8px 5px lightgray;
    &::before {
      position: absolute;
      bottom: -3rem;
      right: 0;
      color: #ffffff5e;
      font-weight: bold;
      font-size: clamp(13rem, 10.846rem + 10.77vw, 20rem);
      font-family: var(--serif-font);
    }
  }
  .text {
    width: 60%;
    z-index: 1;
    padding: 5rem 3rem;
  }
  .spring {
    background-color: rgba(245, 126, 84, 0.4);
    &::before {
      content: "春";
    }
  }
  .summer {
    background-color: rgba(245, 211, 83, 0.4);
    &::before {
      content: "夏";
    }
  }
  .autumn {
    background-color: rgba(130, 193, 122, 0.4);
    &::before {
      content: "秋";
    }
  }
  .winter {
    background-color: rgba(124, 193, 200, 0.4);
    &::before {
      content: "冬";
    }
  }
}
/* -------------------
page-contact.php
---------------------*/
#page-contact.wrapper {
  width: clamp(19.375rem, 9.952rem + 47.12vw, 50rem);
}
#page-contact {
  .wpcf7 form {
    width: 30rem;
    margin: 0 auto;
  }
  .wpcf7 input {
    width: 100%;
    padding: 1rem;
    border: 1px solid gray;
  }
  .wpcf7 textarea {
    width: 100%;
    height: 8rem;
    padding: 1rem;
    border: 1px solid gray;
  }
  .wpcf7 label {
    display: inline-block;
    width: 100%;
    padding-bottom: 1rem;
  }
  .wpcf7 input[type="submit"] {
    border: 1px solid gray;
    color: #fff;
    font-family: var(--serif-font);
    font-size: 1.3rem;
    background-color: gray;
    letter-spacing: 16px;
    transition: 0.8s;
  }
  .wpcf7 input[type="submit"]:hover {
    color: gray;
    background-color: #fff;
  }
  form.sent p {
    display: none;
  }
  .wpcf7 input[type="radio"] {
    width: auto;
    padding: 0;
    border: none;
  }
  .wpcf7 input[type="checkbox"] {
    width: 0.8rem;
    height: 0.8rem;
  }
  .must {
    background-color: orangered;
    font-size: 0.7rem;
    color: #fff;
    padding: 0 0.5rem;
    margin-left: 1rem;
  }
  & dd {
    margin-bottom: 1rem;
  }
}
/* --------------------
page-policy.php
-----------------------*/
#page-policy {
  .policy-title {
    position: relative;
    padding-left: 8rem;
    margin-bottom: 1rem;
  }
  .policy-title::after {
    content: "";
    position: absolute;
    background-image: url(img/Group.png);
    background-repeat: no-repeat;
    width: 110px;
    height: 2rem;
    top: 13px;
    left: 18px;
  }
  .flex-box {
    align-items: center;
    justify-content: space-between;
  }
  .text {
    width: 50%;
  }
  & img {
    width: 40%;
    height: 20rem;
    border-radius: 240px 15px 100px 15px / 15px 200px 15px 185px;
  }
  .revers {
    flex-direction: row-reverse;
  }
  .green {
    border: 10px solid var(--green-color);
  }
  .yellow {
    border: 10px solid var(--yellow-color);
  }
  .blue {
    border: 10px solid var(--blue-color);
  }
  .pink {
    border: 10px solid var(--red-color);
  }
}
